Lấy thông tin chi tiết đăng ký giao/nhận hàng vật chất
curl --request GET \
--url https://api.fireant.vn/mxv/physical-delivery/history/detail \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fireant.vn/mxv/physical-delivery/history/detail"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fireant.vn/mxv/physical-delivery/history/detail', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireant.vn/mxv/physical-delivery/history/detail",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fireant.vn/mxv/physical-delivery/history/detail"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fireant.vn/mxv/physical-delivery/history/detail")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fireant.vn/mxv/physical-delivery/history/detail")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 123,
"userName": "<string>",
"investorCode": "<string>",
"type": "<string>",
"action": "<string>",
"contract": "<string>",
"quantity": 123,
"area": "<string>",
"warehouse": "<string>",
"deliveryDate": "<string>",
"refRequestCode": "<string>",
"refConfirmationCode": "<string>",
"deliveryCode": "<string>",
"pairingCode": "<string>",
"status": "<string>",
"rejectReason": "<string>",
"transactionDate": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}MXV
Lấy thông tin chi tiết đăng ký giao/nhận hàng vật chất
GET
/
mxv
/
physical-delivery
/
history
/
detail
Lấy thông tin chi tiết đăng ký giao/nhận hàng vật chất
curl --request GET \
--url https://api.fireant.vn/mxv/physical-delivery/history/detail \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fireant.vn/mxv/physical-delivery/history/detail"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fireant.vn/mxv/physical-delivery/history/detail', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireant.vn/mxv/physical-delivery/history/detail",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fireant.vn/mxv/physical-delivery/history/detail"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fireant.vn/mxv/physical-delivery/history/detail")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fireant.vn/mxv/physical-delivery/history/detail")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 123,
"userName": "<string>",
"investorCode": "<string>",
"type": "<string>",
"action": "<string>",
"contract": "<string>",
"quantity": 123,
"area": "<string>",
"warehouse": "<string>",
"deliveryDate": "<string>",
"refRequestCode": "<string>",
"refConfirmationCode": "<string>",
"deliveryCode": "<string>",
"pairingCode": "<string>",
"status": "<string>",
"rejectReason": "<string>",
"transactionDate": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Ủy quyền
OAuth2 Implicit Grant
Scopes
user-data-read
Đọc tất cả dữ liệu của người dùng hiện tại
Phản hồi
OK
Bản ghi lịch sử đăng ký giao/nhận vật chất lưu trong bảng _MXVPhysicalDeliveries. Trả về từ SP mxv_GetPhysicalDeliveries và mxv_GetPhysicalDeliveryByCode.
DELIVERY | RECEIVE | DEPOSIT
REGISTER | DESIGNATED
HN | HCM (chỉ có khi Type = RECEIVE)
HN | HCM (chỉ có khi Type = DEPOSIT)
Ngày dự kiến giao Bạc (YYYYMMDD)
Mã TVKD tự sinh từ backend FireAnt
Mã MXV cấp khi duyệt thành công - dùng để huỷ/truy vấn
Mã giao hàng (có sau khi TTBT ghép cặp, bên bán dùng cho API designated)
Mã nhận hàng (có sau khi TTBT ghép cặp, bên mua dùng cho API designated)
P=Chờ duyệt | A=Đã duyệt | R=Từ chối | D=Đã giao | RV=Đã nhận